(原)ubuntu中使用conda安装tensorflow-gpu

转载请注明出处:

https://www.cnblogs.com/darkknightzh/p/9834567.html

参考网址:

https://www.anaconda.com/blog/developer-blog/tensorflow-in-anaconda/

之前的一篇,直接安装tensorflow的:

https://www.cnblogs.com/darkknightzh/p/6592052.html

================================================================

190117更新:

使用conda的方式,在ubuntu上比较省事,但是最好不要在windows上使用。

刚才在win7上tensorflow用不了了(CPU的,使用anaconda3,python为3.5),卸载后使用conda重新安装了tensorflow,结果还是用不了,提示找不到什么库(没截图,记不住了)。

后来再次卸载tensorflow,使用pip重新安装tensorflow后(CPU的),能正常使用了。

所以windows上还是先使用pip安装吧。。。(不知道有没有使用conda安装后能正常使用的)

190117更新结束

================================================================

参考网址中写出了使用conda安装tensorflow-gpu的各种好处,比如可以适配不同的cuda版本。而且从1.9开始,conda安装方式集成了MKL-DNN库,速度比pip安装的快了好几倍(具体看网址)。

 

下面写一下怎么用conda安装tensorflow-gpu的1.9版本

首先在终端中输入下面命令,可安装1.9版本的tf(目前最新的是1.11了,不过驱动版本比较老,因而还是用1.9的tf吧)

conda install tensorflow-gpu==1.9.0

如果gpu驱动不是很老,运行程序没问题,就不用往下看了。

 

目前我这边会安装cuda9.0(还有其他一些库)。但是由于驱动比较老,不支持默认安装的cuda版本,直接运行之前的程序,会提示下面的错误(internal: cudagetdevice() failed. status: cuda driver version is insufficient for cuda runtime version):

因而需要将cuda降级,我这边直接在终端中输入下面的命令:

conda install cudatoolkit==8.0

便可以安装cuda8.0的版本。下图显示了哪些库会升级,哪些库会降低:

 

之后可以正常运行之前的程序了。。。

================================================================

181119更新:

试了一下, 可以一句话完成安装:

conda install tensorflow-gpu==1.9.0 cudatoolkit==8.0

比上面的省事。。。

 181119更新结束

================================================================

posted on 2018-10-23 08:44  darkknightzh  阅读(27239)  评论(0编辑  收藏  举报

导航